← OBPv7.0.0 Get System Chat Rooms GET /obp/v7.0.0/chat-rooms OBPv6.0.0-getSystemChatRooms No role required Chat Get all system-level chat rooms that the current user is a participant of. Authentication is Required User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON response body fields (18) bank_id gh.29.ukchat_room_id chat_room_idchat_rooms chat_roomscreated_at created_atcreated_by_provider created_by_providercreated_by_user_id created_by_username created_by_usernamedescription Description of the object. Maximum length is 2000. It can be any characters here.is_archived is_archivedis_open_room is_open_roomjoining_key joining_keyname ACCOUNT_MANAGEMENT_FEEparticipant_count participant_countupdated_at updated_atlast_message_at last_message_atlast_message_preview last_message_previewlast_message_sender_username last_message_sender_usernameunread_count unread_count Example success response { "chat_rooms": [ { "chat_room_id": "chat-room-id-123", "bank_id": "", "name": "General Discussion", "description": "A place to discuss general topics", "joining_key": "abc123key", "created_by_user_id": "user-id-123", "created_by_username": "robert.x.0.gh", "created_by_provider": "https://github.com", "is_open_room": false, "is_archived": false, "last_message_at": "2026-11-18T15:16:08Z", "last_message_preview": "Hello everyone!", "last_message_sender_username": "robert.x.0.gh", "unread_count": 3, "created_at": "2026-11-18T15:16:08Z", "updated_at": "2026-11-18T15:16:08Z", "participant_count": 0 } ] } Possible errors (2) OBP-20001: User not logged in. Authentication is required!OBP-50000: Unknown Error.